org.springframework.cloud.dataflow.shell.command

## Class DataFlowTables

- java.lang.Object
- - org.springframework.cloud.dataflow.shell.command.DataFlowTables

-     public class DataFlowTables
      extends Object

  Utility class to customize DataFlowTables used in a consistent way.
  Author:
    Eric Bottard

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataFlowTables.BeanWrapperFormatter` A formatter that collects bean property names and turns them into capitalized, separated words.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowTables()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableBuilder` | `applyStyle(TableBuilder builder)` Customize the given TableBuilder with the following common features (these choices can always be overridden by applying later customizations) : double border around the whole table and first row vertical space (air) borders, single line separators between rows first row is assumed to be a header and is centered horizontally and vertically cells containing Map values are rendered as key = value lines, trying to align on equal signs

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFlowTables

          public DataFlowTables()

  - ### Method Detail

    - #### applyStyle

          public static TableBuilder applyStyle(TableBuilder builder)

      Customize the given TableBuilder with the following common features (these choices can always be overridden by applying later customizations) :
      - double border around the whole table and first row
      - vertical space (air) borders, single line separators between rows
      - first row is assumed to be a header and is centered horizontally and vertically
      - cells containing Map values are rendered as key = value lines, trying to align on equal signs
      Parameters:
        `builder` - the table builder to use
      Returns:
        the configured table builder

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.